#
# Conditional build:
%bcond_with	ladcca		# ladcca sesion management support (deprecated) (GPL)
%bcond_without	lash		# LASH support (GPL)
%bcond_with	midishare	# MidiShare support
%bcond_without	readline	# readline line editing (GPL)
%bcond_with	sse		# use the SSE instructions of Pentium3+ or Athlon XP
%bcond_without	static_libs	# don't build static library
#
%ifarch pentium3 pentium4 %{x8664}
%define		with_sse	1
%endif
#
Summary:	FluidSynth - a software, real-time synthesizer
Summary(pl.UTF-8):	FluidSynth - programowy syntezator działający w czasie rzeczywistym
Name:		fluidsynth
Version:	1.1.6
Release:	2
%if %{with ladcca} || %{with lash} || %{with readline}
License:	GPL v2+ (enforced by ladcca/lash/readline), LGPL v2+ (fluidsynth itself)
%else
License:	LGPL v2+
%endif
Group:		Applications/Sound
Source0:	http://downloads.sourceforge.net/fluidsynth/%{name}-%{version}.tar.bz2
# Source0-md5:	f6e696690e989098f70641364fdffad7
Patch0:		%{name}-midishare.patch
URL:		http://www.fluidsynth.org/
BuildRequires:	alsa-lib-devel >= 0.9.1
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.6.5
BuildRequires:	jack-audio-connection-kit-devel
%{?with_ladcca:BuildRequires:	ladcca-devel < 0.4.0}
%{?with_ladcca:BuildRequires:	ladcca-devel >= 0.3.1}
BuildRequires:	ladspa-devel
%{?with_lash:BuildRequires:	lash-devel >= 0.3}
BuildRequires:	libsndfile-devel >= 1.0.18
BuildRequires:	libtool
%{?with_midishare:BuildRequires:	midishare-devel}
BuildRequires:	pkgconfig
BuildRequires:	portaudio-devel >= 19
BuildRequires:	pulseaudio-devel >= 0.9.8
%{?with_readline:BuildRequires:	readline-devel}
BuildRequires:	rpmbuild(macros) >= 1.213
Requires:	alsa-lib >= 0.9.1
Requires:	glib2 >= 1:2.6.5
Requires:	libsndfile >= 1.0.18
Suggests:	soundfont-fluid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fluid Synth is a software, real-time synthesizer based on the
Soundfont 2 specifications.

%description -l pl.UTF-8
Fluid Synth to programowy, działający w czasie rzeczywistym syntezator
oparty na specyfikacji Soundfont 2.

%package devel
Summary:	Development files for the FluidSynth
Summary(pl.UTF-8):	Pliki nagłówkowe dla FluidSynth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib-devel >= 0.9.1
Requires:	dbus-devel >= 1.0.0
Requires:	glib2-devel >= 1:2.6.5
Requires:	jack-audio-connection-kit-devel
%{?with_lash:Requires:	lash-devel >= 0.3}
Requires:	libsndfile-devel >= 1.0.18
%{?with_midishare:Requires:	midishare-devel}
Requires:	portaudio-devel >= 19
Requires:	pulseaudio-devel >= 0.9.8
%{?with_readline:Requires:	readline-devel}

%description devel
This package contains the header files necessary to develop
applications using FluidSynth.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe potrzebne do tworzenia i
kompilacji aplikacji korzystających z bibliotek FluidSynth.

%package static
Summary:	Static FluidSynth library
Summary(pl.UTF-8):	Statyczna wersje biblioteki FluidSynth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of the FluidSynth library.

%description static -l pl.UTF-8
Ten pakiet zawiera bibliotekę statyczną FluidSynth.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	%{!?with_ladcca:--disable-ladcca} \
	%{!?with_lash:--disable-lash} \
	%{!?with_midishare:--disable-midishare} \
	%{!?with_static_libs:--disable-static} \
	%{?with_sse:--enable-SSE} \
	--enable-jack-support \
	--enable-ladspa \
	--enable-profiling \
	%{!?with_readline:--without-readline}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfluidsynth.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/fluidsynth
%attr(755,root,root) %{_libdir}/libfluidsynth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfluidsynth.so.1
%{_mandir}/man1/fluidsynth.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfluidsynth.so
%{_includedir}/fluidsynth.h
%{_includedir}/%{name}
%{_pkgconfigdir}/fluidsynth.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfluidsynth.a
%endif
%changelog
* Tue Oct 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fluidsynth.git;a=log;h=master

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> c67efc3
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Wed Oct 14 2015 Jakub Bogusz <qboosh@pld-linux.org> b3f90a7
- updated to 1.1.6

* Thu Mar 12 2015 Jan Rękorajski <baggins@pld-linux.org> 61dee8d
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2a60fc6
- updated gettext BR

* Sun Dec 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 6be7ee5
- release 2

* Sun Dec 18 2011 Jakub Bogusz <qboosh@pld-linux.org> e389d9b
- added lash bcond, note GPL license if built with ladcca/lash or readline
- added midishare patch and bcond (off by default as midishare is unfinished in PLD)

* Sat Dec 17 2011 Jakub Bogusz <qboosh@pld-linux.org> c0296b5
- updated dependencies (added glib2, dbus; updated versions)
- dropped bogus --enable-coreaudio (CoreAudio is Mac specific)

* Tue Sep 06 2011 lisu <lisu@pld-linux.org> c3ee7f4
- updated to 1.1.5
- bump version of soname

* Tue Aug 30 2011 lisu <lisu@pld-linux.org> b39623e
- updated to 1.1.4
- version of soname has been changed

* Tue May 17 2011 lisu <lisu@pld-linux.org> 9d0c592
- updated to 1.1.3
- new Source0 URL

* Tue Apr 12 2011 lisu <lisu@pld-linux.org> 1355757
- drop libtool file
- rel 3

* Sun Feb 27 2011 Karol Krenski <charles@pld-linux.org> e690dbb
- updated BRs/Rs

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 45acf03
- release 2

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 38142a2
- BR: gettext-devel, glib2-devel

* Mon Jan 03 2011 Caleb Maclennan <caleb@alerque.com> e40f381
- Up to 1.1.1
- Removed obsolete patch, similar fix implemented upstream

* Thu Nov 26 2009 Jacek Konieczny <jajcus@pld-linux.org> cbc84b1
- Suggest: soundfont-fluid (package is useless without any soundfont)
- Release: 3

* Sun Sep 14 2008 Karol Krenski <charles@pld-linux.org> ecf407a
- with readline bcond
- rel. 2

* Sun Sep 14 2008 Karol Krenski <charles@pld-linux.org> a7aa20f
- fix build

* Sun Sep 14 2008 Karol Krenski <charles@pld-linux.org> 9e79638
- lt/ac/am; added -build.patch; BR: autoconf, libtool
- %files cleanups
- without static_libs bcond

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 0afc704
- up to 1.0.8

